PMAP_PROTECT(9)

NAME
pmap_page_protect, pmap_protect - set physical page protection

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/pmap.h>
void
pmap_page_protect(vm_page_t m, vm_prot_t prot);
void
pmap_protect(pmap_t pmap, vm_offset_t sva, vm_offset_t eva, vm_prot_t pr);

DESCRIPTION
The pmap_page_protect() function lowers the physical page permissions to prot for all mappings of a given page m.

The pmap_protect() function sets the physical page permissions to prot for all physical pages in the physical map pmap in the virtual address range between sva and eva.

SEE ALSO
pmap(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.